@import "assets/scss/global";

.loading{
    position: relative;
    padding: 0;
    margin: 0;
}
.no-data{
    height: 100%;
    margin: 0;

    .container{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 100%;
        gap: 20px;
        .content{
            display: flex;
            flex-direction: column;
            align-items: center;
            img{
                height: 200px;
                width: auto;
                object-fit: contain;
            }

            .title{
                font-weight: 400;
                font-size: 24px;
                line-height: 32px;
                color: rgba(0, 0, 0, 0.85);
            }
            .des{
                font-weight: 400;
                font-size: 14px;
                line-height: 22px;
                color: rgba(0, 0, 0, 0.45);
            }
        }

        .action{
            height: 40px;
            button{
                height: 40px;
                box-shadow: none;
                background: #7C68EE;
                border-radius: 12px;
                font-weight: 500;
                font-size: 13px;
                line-height: 17px;
            }
        }
    }
}

.has-data{
    display: flex;
    flex-direction: column;
    gap: 10px;

    .action{
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
        height: 40px;
        button{
            height: 100%;
            min-width: 170px;
            border-radius: 12px;
            background: #7C68EE;
            box-shadow: none;
            font-weight: 500;
            font-size: 13px;
            line-height: 17px;
            color: #FFF4F4;

            &:hover {
                background: #7C68EE;
                box-shadow: none;
            }
        }
    }
    .wrapper{
        height: calc(100% - 50px);
        width: 100%;
        overflow: auto;
        padding: 10px 0 20px;
        position: relative;
        .container{
            // height: 100%;
        }
    }
}

.create-group{
    padding: 10px 10px 100px;
}